<?php

/*
Copyright (C) 2009-2013, Rémi Jean (zwiicms@outlook.com)
<http://zwiicms.com/>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General License for more details.

You should have received a copy of the GNU General License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

class contact extends zwii
{

	/*
		Système
	*/

	function __construct()
	{
		parent::__construct();
		$this->title = $this->t('Formulaire de contact');
	}

	function builder()
	{
		return $this->home();
	}

	/*
		Plugins
	*/

	function home()
	{
		if(isset($_POST['submit']))
		{
			$this->send();
			return $this->redirect('/contact');
		}
		else
		{
			return '<h2>' . $this->title . '</h2>'
				. '<form name="form" method="post">'
				. '<p>'
				. '<label>' . $this->t('Adresse mail') . '</label>'
				. '<input type="text" name="mail" class="contact_little" required>'
				. '</p>'
				. '<p>'
				. '<label>' . $this->t('Sujet') . '</label>'
				. '<input type="text" name="subject" class="contact_little" required>'
				. '</p>'
				. '<p>'
				. '<label>' . $this->t('Message') . '</label>'
				. '<textarea name="message" class="contact_little" required></textarea>'
				. '</p>'
				. '<p>'
				. '<input type="submit" name="submit" value="' . $this->t('Envoyer') . '">'
				. '</p>'
				. '</form>';
		}
	}

	/*
		Fonctions
	*/

	function send()
	{
		$n = preg_match("#@(hotmail|live|msn|outlook).[a-z]{2,4}$#", $this->plugins['contact']['mail']) ? "\n" : "\r\n";
		$boundary = '-----=' . md5(rand());
		$html = '<html><head></head><body>' . $_POST['message'] . '</body></html>';
		$txt = strip_tags($html);
		$header = 'From: ' . $_POST['mail'] . $n;
		$header .= 'Reply-To: ' . $this->plugins['contact']['mail'] . $n;
		$header .= 'MIME-Version: 1.0' . $n;
		$header .= 'Content-Type: multipart/alternative;' . $n . ' boundary="' . $boundary. '"' . $n;
		$message = $n . $boundary . $n;
		$message .= 'Content-Type: text/plain; charset="utf-8"' . $n;
		$message .= 'Content-Transfer-Encoding: 8bit' . $n;
		$message .= $n . $txt . $n;
		$message .= $n . '--' . $boundary . $n;
		$message .= 'Content-Type: text/html; charset="utf-8"' . $n;
		$message .= 'Content-Transfer-Encoding: 8bit' . $n;
		$message .= $n . $html . $n;
		$message .= $n . '--' . $boundary . '--' . $n;
		$message .= $n . '--' . $boundary . '--' . $n;
		if(!empty($this->plugins['contact']['mail'])
		&& @mail($this->plugins['contact']['mail'], $_POST['subject'], $message, $header))
		{
			return $_SESSION['POPUP'] = $this->t('Mail envoyé avec succès !');
		}
		else
		{
			return $_SESSION['POPUP'] = $this->t('Impossible d\'envoyer le mail !');
		}
	}
}

?>